## dtk6gui 6.0.18

=== src/CMakeLists.txt ===
add_library(${LIB_NAME} SHARED)

include(dbus/dbus.cmake)
include(filedrag/dfiledrag.cmake)
include(kernel/kernel.cmake)
include(private/private.cmake)
include(util/util.cmake)

target_sources(${LIB_NAME} PRIVATE
    ${dbus_SRC}
    ${filedrag_SRC}
    ${kernel_SRC}
    ${util_SRC}
    ${private_SRC}
)

target_include_directories(${LIB_NAME} PUBLIC
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/util>
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/global>
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/kernel>
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/filedrag>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}/dbus>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}/private>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}/util/private>
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/DtkGui>
)

target_link_libraries(${LIB_NAME}
PUBLIC
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Network
    Dtk${DTK_VERSION_MAJOR}::Core
PRIVATE
    Qt${QT_VERSION_MAJOR}::GuiPrivate
    Qt${QT_VERSION_MAJOR}::CorePrivate
    Qt${QT_VERSION_MAJOR}::DBus
)

if(DTK_DISABLE_LIBRSVG)
    find_package(Qt${QT_VERSION_MAJOR}Svg REQUIRED)
    target_link_libraries(${LIB_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Svg)
else()
    target_link_libraries(${LIB_NAME} PRIVATE PkgConfig::librsvg)
endif()

if(NOT DTK_DISABLE_EX_IMAGE_FORMAT AND EX_IMAGE_FORMAT_LIBS_FOUND)
    target_link_libraries(${LIB_NAME} PRIVATE
        ${libraw_LIBRARIES}
        FreeImage::FreeImage
    )
    target_include_directories(${LIB_NAME} PRIVATE
        ${libraw_INCLUDE_DIRS}
    )
endif()

if(NOT DTK_DISABLE_LIBXDG)
    target_link_libraries(${LIB_NAME} PRIVATE
        Qt${QT_VERSION_MAJOR}XdgIconLoader
    )
endif()

set_target_properties(${LIB_NAME} PROPERTIES
    VERSION ${CMAKE_PROJECT_VERSION}
    SOVERSION ${CMAKE_PROJECT_VERSION_MAJOR}
    EXPORT_NAME Gui
)

target_include_directories(${LIB_NAME} INTERFACE
    $<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>
)

target_link_directories(${LIB_NAME} INTERFACE
    $<INSTALL_INTERFACE:${LIBRARY_INSTALL_DIR}>
)

install(TARGETS ${LIB_NAME} EXPORT Dtk${DTK_VERSION_MAJOR}GuiTargets DESTINATION "${LIBRARY_INSTALL_DIR}")
install(EXPORT Dtk${DTK_VERSION_MAJOR}GuiTargets NAMESPACE Dtk${DTK_VERSION_MAJOR}:: FILE Dtk${DTK_VERSION_MAJOR}GuiTargets.cmake DESTINATION "${CONFIG_INSTALL_DIR}")
install(DIRECTORY ../include/util/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*")
install(DIRECTORY ../include/DtkGui/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*")
install(DIRECTORY ../include/global/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*")
install(DIRECTORY ../include/kernel/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*")
install(DIRECTORY ../include/filedrag/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*")

set(EnableCov CACHE BOOL OFF)
if (EnableCov)
    dtk_setup_code_coverage(${LIB_NAME})
endif()

=== debian/changelog ===
dtk6gui (6.0.18) unstable; urgency=medium

  * sync: from linuxdeepin/dtkgui

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 Jul 2024 02:36:19 +0000

dtk6gui (6.0.17) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 24 Jun 2024 05:35:04 +0000

dtk6gui (6.0.16) unstable; urgency=medium

  * 6.0.16

 -- Mike Chen <chenke@deepin.org>  Mon, 13 May 2024 13:25:30 +0800

dtk6gui (6.0.15) unstable; urgency=medium

  * 6.0.15

 -- YeShanShan <yeshanshan@deepin.org>  Mon, 29 Apr 2024 16:15:59 +0800

dtk6gui (6.0.14) unstable; urgency=medium

  * 6.0.14

 -- YeShanShan <yeshanshan@deepin.org>  Sun, 28 Apr 2024 13:25:59 +0800

dtk6gui (6.0.13) unstable; urgency=medium

  * 6.0.13

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 26 Apr 2024 15:15:38 +0800

dtk6gui (6.0.12) unstable; urgency=medium

  * 6.0.12

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 23 Apr 2024 11:35:30 +0800

dtk6gui (6.0.11) unstable; urgency=medium

  * 6.0.11

 -- Mike Chen <chenke@deepin.org>  Wed, 17 Apr 2024 17:25:33 +0800

dtk6gui (6.0.10) unstable; urgency=medium

  * 6.0.10

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 11 Apr 2024 11:40:40 +0800

dtk6gui (6.0.9) unstable; urgency=medium

  * 6.0.9

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 29 Mar 2024 17:58:04 +0800

dtk6gui (6.0.5) unstable; urgency=medium

  * Release 6.0.5

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 01 Feb 2024 09:39:53 +0800

dtk6gui (6.0.4) unstable; urgency=medium

  * 6.0.4

 -- wangfei <wangfei@deepin.org>  Wed, 10 Jan 2024 14:59:23 +0800

dtk6gui (6.0.3) unstable; urgency=medium

  * 6.0.3

 -- Mike Chen <chenke@deepin.org>  Tue, 02 Jan 2024 16:19:19 +0800

dtk6gui (6.0.2) unstable; urgency=medium

  * release 6.0.2

 -- Yixue Wang <wangyixue@deepin.org>  Wed, 29 Nov 2023 15:30:28 +0800

dtk6gui (6.0.1) unstable; urgency=medium

  * Release 6.0.1

 -- Yixue Wang <wangyixue@deepin.org>  Mon, 30 Oct 2023 10:17:10 +0800

dtk6gui (6.0.0) unstable; urgency=medium

  * release 6.0.0

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 18 Sep 2023 11:04:21 +0800

dtkgui (5.6.17) unstable; urgency=medium

  * Release 5.6.17

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 15:15:39 +0800

dtkgui (5.6.16) unstable; urgency=medium

  * chore: ut build without source
  * fix: Compiling error in qt6.4
  * chore: add DtkBuildHelper depends
  * fix(build): ut failed on Qt6.4
  * fix: dci icon cache key miss theme name(Issue: https://github.com/linuxdeepin/developer-center/issues/4517)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 22 Aug 2023 06:13:45 +0000

dtkgui (5.6.15) unstable; urgency=medium

  * chore: iconengine tweak and uint test
  * chore: do not show ui in ut
  * chore: add unit test
  * chore: Adaptation for Qt5.11
  * refator: rewrite hasUserManual function

 -- Yixue Wang <wangyixue@deepin.org>  Fri, 11 Aug 2023 13:57:02 +0800

dtkgui (5.6.14) unstable; urgency=medium

  * chore: ignore doxygen-theme folder
    Thanks to syn(Task: 99)
  * chore: change OUTPUT_DIR variable in cmake (#163)
    Thanks to WangFei
  * chore: adjust builtiniconengine (#164)
    Thanks to WangFei
  * chore: adjust xdgiconproxyengine (#167)
    Thanks to WangFei
  * chore: add unit test about builtinengine
  * refactor!: deprecate some interfaces in dtk6
  * chore: add dciiconengine
  * chore: adjust icontheme
  * chore: add unit test about dciiconengine
  * chore: reduce compilation warnings
    Thanks to SPUER(Issue: #96)
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * chore: add proxyiconengine
  * refactor: Move dotsPerInch from normal function to slots
  * chore: remove unused pro files
  * fix: build failed in qt6 due to proxyengine
  * feat: DIconTheme::findQIcon add fallback icon
  * fix(build): DIconTheme ut failed
  * fix: DFileDragClient::serverDestroyed nerver emit
  * feat: add helper for high dpi pixmap
  * fix: dplatformtheme fetchPalette crash
  * feat: load app and qt Translation files

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jul 2023 06:56:34 +0000

dtkgui (5.6.12) unstable; urgency=medium

  * chore: Sync by https://github.com/linuxdeepin/.github/commit/2e5e092ba3f86b16d1aabbabcf0bfd2ae65b19c8(Influence: none)
  * fix: fix build failure due to metasystem change
  * fix(build): suport build with Qt6 && Qt5
  * chore: Adapt Qt6 && Dtk6 compilation
  * fix: ut failed
  * chore: update dconfig appid

 -- Deepin Packages Builder <packages@deepin.org>  Sun, 25 Jun 2023 14:43:42 +0800

dtkgui (5.6.11) unstable; urgency=medium

  * Release 5.6.11
  * Fix developer-center#4117
  * Fix bug-197713(App blocked by hasUserManual in live system)

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 08 May 2023 13:16:17 +0800

dtkgui (5.6.10) unstable; urgency=medium

  * Release 5.6.10
  * support XDG_SESSION_DESKTOP set to DDE
  * add DontSaveApplciationTheme Attribute

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 17 Apr 2023 17:11:55 +0800

dtkgui (5.6.9) unstable; urgency=medium

  * Release 5.6.9

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 10:13:06 +0800

dtkgui (5.6.8) unstable; urgency=medium

  * Release 5.6.8

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 22 Feb 2023 14:12:16 +0800

dtkgui (5.6.6) unstable; urgency=medium

  * Release 5.6.6

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 21 Feb 2023 11:46:51 +0800

dtkgui (5.6.5) unstable; urgency=medium

  * Release 5.6.5

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 02 Feb 2023 14:12:15 +0800

dtkgui (5.6.4) unstable; urgency=medium

  * Release 5.6.4

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 09 Jan 2023 13:28:09 +0800

dtkgui (5.6.3) unstable; urgency=medium

  * Release 5.6.3

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 12 Dec 2022 14:44:49 +0800

dtkgui (5.6.2.2) unstable; urgency=medium



=== debian/control ===
Source: dtk6gui
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.org>
Build-Depends: debhelper-compat (= 12), pkg-config,
 qt6-base-private-dev, qt6-base-dev-tools, qt6-tools-dev,
 libdtk6core-dev, libdtkcommon-dev(>=5.6.16),
 doxygen, graphviz, librsvg2-dev, libfreeimage-dev, libraw-dev,
 libgtest-dev, libgmock-dev, cmake
Standards-Version: 3.9.8

Package: libdtk6gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtkdata,
 qt6-image-formats-plugins
Multi-Arch: same
Description: Deepin Tool Kit Gui library
 DtkGui is base library of Deepin Qt/C++ applications.
 .
 This package contains the shared libraries.

Package: libdtk6gui-bin
Build-Profiles: <!nobin>
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtk6gui (= ${binary:Version})
Description: Deepin Tool Kit Gui Utilities
 DtkGui is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the utilities of DtkGui

Package: libdtk6gui-dev
Architecture: any
Depends: ${misc:Depends}, libdtk6gui (= ${binary:Version})
Description: Deepin Tool Kit Gui Devel library
 DtkGui is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the header files and static libraries of DtkGui

Package: libdtk6gui-doc
Architecture: any
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Description: Deepin Tool Kit Gui (Document)
 DtkGui is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the qt Document of DtkGui

## dtk6gui 6.0.21

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,13 @@
+if("${QT_VERSION_MAJOR}" STREQUAL "6")
+    find_package(Qt6 REQUIRED COMPONENTS Core Widgets WaylandClient)
+else()
+    find_package(Qt5 REQUIRED COMPONENTS WaylandClient XkbCommonSupport)
+endif()
+
+option(DTK_DISABLE_TREELAND "Disable TreeLand Protocols" OFF)
+find_package(TreeLandProtocols)
+set(TreeLandProtocols_FOUND ${TreeLandProtocols_FOUND})
+
 add_library(${LIB_NAME} SHARED)
 
 include(dbus/dbus.cmake)
@@ -5,6 +15,42 @@
 include(kernel/kernel.cmake)
 include(private/private.cmake)
 include(util/util.cmake)
+
+try_compile(DEEPIN_WAYLAND_TEST_COMPILE_RESULT ${CMAKE_CURRENT_BINARY_DIR}/wayland_test
+    ${CMAKE_CURRENT_LIST_DIR}/wayland/config.tests/wayland_test wayland_test CMAKE_FLAGS -DQT_VERSION_MAJOR=${QT_VERSION_MAJOR})
+
+if(NOT DEEPIN_WAYLAND_TEST_COMPILE_RESULT)
+    message("wayland_test failed, disable treeland support")
+    set(DTK_DISABLE_TREELAND ON)
+endif()
+
+if(NOT DTK_DISABLE_TREELAND AND TreeLandProtocols_FOUND)
+    message("Support Treeland!")
+    if("${QT_VERSION_MAJOR}" STREQUAL "6")
+        qt6_generate_wayland_protocol_client_sources(${LIB_NAME} FILES
+            ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-personalization-manager-v1.xml
+        )
+    else()
+    # ECM setup
+        include(FeatureSummary)
+        find_package(ECM REQUIRED NO_MODULE)
+        set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${ECM_MODULE_PATH}")
+        find_package(QtWaylandScanner)
+        ecm_add_qtwayland_client_protocol(CLIENT_LIB_SRCS
+            PROTOCOL ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-personalization-manager-v1.xml
+            BASENAME treeland-personalization-manager-v1
+        )
+        target_sources(${LIB_NAME} PRIVATE
+            ${CLIENT_LIB_SRCS}
+        )
+    endif()
+    include(wayland/wayland.cmake)
+    target_sources(${LIB_NAME} PRIVATE
+        ${wayland_SRC}
+    )
+else()
+    target_compile_definitions(${LIB_NAME} PRIVATE DTK_DISABLE_TREELAND)
+endif()
 
 target_sources(${LIB_NAME} PRIVATE
     ${dbus_SRC}
@@ -34,7 +80,15 @@
     Qt${QT_VERSION_MAJOR}::GuiPrivate
     Qt${QT_VERSION_MAJOR}::CorePrivate
     Qt${QT_VERSION_MAJOR}::DBus
+    Qt${QT_VERSION_MAJOR}::WaylandClientPrivate
 )
+
+if("${QT_VERSION_MAJOR}" STREQUAL "5")
+target_link_libraries(${LIB_NAME}
+PRIVATE
+    Qt${QT_VERSION_MAJOR}::XkbCommonSupportPrivate
+)
+endif()
 
 if(DTK_DISABLE_LIBRSVG)
     find_package(Qt${QT_VERSION_MAJOR}Svg REQUIRED)

=== tools/deepin-gui-settings/CMakeLists.txt ===
set(BIN_NAME deepin-gui-settings)
set(TARGET_NAME ${BIN_NAME}${DTK_VERSION_MAJOR})

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Widgets)

add_executable(${TARGET_NAME}
  	main.cpp
)

target_link_libraries(${TARGET_NAME}
    Qt${QT_VERSION_MAJOR}::Widgets
	${LIB_NAME}
)
set_target_properties(${TARGET_NAME} PROPERTIES OUTPUT_NAME ${BIN_NAME})

install(TARGETS ${TARGET_NAME} DESTINATION "${TOOL_INSTALL_DIR}")

=== debian/changelog ===
dtk6gui (6.0.21) unstable; urgency=medium

  * 6.0.21

 -- Wang Fei <wangfei@deepin.org>  Wed, 25 Sep 2024 15:08:23 +0800

dtk6gui (6.0.19) unstable; urgency=medium

  * sync: from linuxdeepin/dtkgui
  * sync: from linuxdeepin/dtkgui
  * sync: from linuxdeepin/dtkgui

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 21 Aug 2024 02:41:05 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  qt6-base-private-dev, qt6-base-dev-tools, qt6-tools-dev,
  libdtk6core-dev, libdtkcommon-dev(>=5.6.16),
  doxygen, graphviz, librsvg2-dev, libfreeimage-dev, libraw-dev,
- libgtest-dev, libgmock-dev, cmake
+ libgtest-dev, libgmock-dev, cmake, qt6-wayland-dev,
+ qt6-wayland-private-dev, qt6-wayland-dev-tools, treeland-protocols
 Standards-Version: 3.9.8
 
 Package: libdtk6gui

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

VERSION = $(DEB_VERSION_UPSTREAM)
_PACK_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}')
_BUILD_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$2}' | sed 's/[^0-9]//g' | awk '{print int($$1)}')
ifeq ($(_BUILD_VER),)
	CONFIG_VERSION = $(_PACK_VER)
else
	CONFIG_VERSION = $(_PACK_VER).$(_BUILD_VER)
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF -DBUILD_DOCS=ON -DDTK_VERSION=$(_PACK_VER)

override_dh_makeshlibs:
	dh_makeshlibs  -V "libdtk6gui (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2))"

## dtk6gui 6.0.25

=== debian/changelog ===
dtk6gui (6.0.25) unstable; urgency=medium

  * 6.0.25

 -- Wang Fei <wangfei@deepin.org>  Fri, 13 Dec 2024 13:20:49 +0800

dtk6gui (6.0.24) unstable; urgency=medium

  * 6.0.24

 -- Wang Fei <wangfei@deepin.org>  Wed, 04 Dec 2024 10:25:54 +0800

dtk6gui (6.0.23) unstable; urgency=medium

  * 6.0.23

 -- Wang Fei <wangfei@deepin.org>  Wed, 20 Nov 2024 16:44:37 +0800

dtk6gui (6.0.22) unstable; urgency=medium

  * 6.0.22

 -- Wang Fei <wangfei@deepin.org>  Wed, 13 Nov 2024 16:06:58 +0800

## dtk6gui 6.0.34

=== tests/CMakeLists.txt ===
set(BIN_NAME ut-DtkGui)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Widgets Test)
find_package(GTest REQUIRED)

file(GLOB test_SRC
    res.qrc
    test.h
    main.cpp
    src/*.cpp
)
if(DTK_DISABLE_LIBXDG)
    list(REMOVE_ITEM test_SRC "${CMAKE_CURRENT_LIST_DIR}/src/ut_xdgiconproxyengine.cpp")
endif()

set(test-plugin "minimal-plugin")
add_subdirectory(platform-plugin-test)

include(../src/util/util.cmake)

add_executable(${BIN_NAME}
    ${test_SRC}
    ${UTIL_PRIVATE}
)

add_dependencies(${BIN_NAME} ${test-plugin})

target_compile_options(${BIN_NAME} PRIVATE -fno-access-control -fsanitize=address)
target_link_options(${BIN_NAME} PRIVATE -fsanitize=address)

target_link_libraries(${BIN_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::GuiPrivate
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Network
    Qt${QT_VERSION_MAJOR}::Test
    Dtk${DTK_VERSION_MAJOR}::Core
    PkgConfig::librsvg
    GTest::GTest
    ${LIB_NAME}
    gmock
    pthread
    m
)

if(NOT DTK_DISABLE_EX_IMAGE_FORMAT AND EX_IMAGE_FORMAT_LIBS_FOUND) 
target_link_libraries(${BIN_NAME} PRIVATE
    PkgConfig::libraw
    FreeImage::FreeImage
)
endif()

if(NOT DTK_DISABLE_LIBXDG)
    target_link_libraries(${BIN_NAME} PRIVATE 
        Qt${QT_VERSION_MAJOR}XdgIconLoader
    )
endif()

target_include_directories(${BIN_NAME} PRIVATE
    ${PROJECT_SOURCE_DIR}/include/util
    ${PROJECT_SOURCE_DIR}/include/DtkGui
    ${PROJECT_SOURCE_DIR}/include/global
    ${PROJECT_SOURCE_DIR}/include/kernel
    ${PROJECT_SOURCE_DIR}/include/filedrag
    ${PROJECT_SOURCE_DIR}/src/private
    ${PROJECT_SOURCE_DIR}/src
    ${PROJECT_SOURCE_DIR}/src/dbus
    ${PROJECT_SOURCE_DIR}/src/util/private
)

add_test(NAME ${BIN_NAME} COMMAND ${BIN_NAME})

=== debian/changelog ===
dtk6gui (6.0.34) unstable; urgency=medium

  * sync: from linuxdeepin/dtkgui

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 17 Apr 2025 21:53:26 +0800

dtk6gui (6.0.33) unstable; urgency=medium

  * Release 6.0.33

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 20 Mar 2025 17:19:45 +0800

dtk6gui (6.0.32) unstable; urgency=medium

  * sync: from linuxdeepin/dtkgui
  * sync: from linuxdeepin/dtkgui

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 06 Mar 2025 17:37:55 +0800

dtk6gui (6.0.31) unstable; urgency=medium

  * Release 6.0.31

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Feb 2025 20:56:45 +0800

dtk6gui (6.0.30) unstable; urgency=medium

  * sync: from linuxdeepin/dtkgui

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 13 Feb 2025 17:14:12 +0800

dtk6gui (6.0.29) unstable; urgency=medium

  * 6.0.29

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 23 Jan 2025 17:07:35 +0800

dtk6gui (6.0.28) unstable; urgency=medium

  * 6.0.28

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 14 Jan 2025 19:18:00 +0800

dtk6gui (6.0.27) unstable; urgency=medium

  * 6.0.27

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 09 Jan 2025 19:16:50 +0800

dtk6gui (6.0.26) unstable; urgency=medium

  * 6.0.26

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 02 Jan 2025 15:12:49 +0800

## dtk6gui 6.0.36

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,6 @@
 else()
     find_package(Qt5 REQUIRED COMPONENTS WaylandClient XkbCommonSupport)
 endif()
-
-option(DTK_DISABLE_TREELAND "Disable TreeLand Protocols" OFF)
-find_package(TreeLandProtocols)
-set(TreeLandProtocols_FOUND ${TreeLandProtocols_FOUND})
 
 add_library(${LIB_NAME} SHARED)
 
@@ -15,42 +11,7 @@
 include(kernel/kernel.cmake)
 include(private/private.cmake)
 include(util/util.cmake)
-
-try_compile(DEEPIN_WAYLAND_TEST_COMPILE_RESULT ${CMAKE_CURRENT_BINARY_DIR}/wayland_test
-    ${CMAKE_CURRENT_LIST_DIR}/wayland/config.tests/wayland_test wayland_test CMAKE_FLAGS -DQT_VERSION_MAJOR=${QT_VERSION_MAJOR})
-
-if(NOT DEEPIN_WAYLAND_TEST_COMPILE_RESULT)
-    message("wayland_test failed, disable treeland support")
-    set(DTK_DISABLE_TREELAND ON)
-endif()
-
-if(NOT DTK_DISABLE_TREELAND AND TreeLandProtocols_FOUND)
-    message("Support Treeland!")
-    if("${QT_VERSION_MAJOR}" STREQUAL "6")
-        qt6_generate_wayland_protocol_client_sources(${LIB_NAME} FILES
-            ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-personalization-manager-v1.xml
-        )
-    else()
-    # ECM setup
-        include(FeatureSummary)
-        find_package(ECM REQUIRED NO_MODULE)
-        set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${ECM_MODULE_PATH}")
-        find_package(QtWaylandScanner)
-        ecm_add_qtwayland_client_protocol(CLIENT_LIB_SRCS
-            PROTOCOL ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-personalization-manager-v1.xml
-            BASENAME treeland-personalization-manager-v1
-        )
-        target_sources(${LIB_NAME} PRIVATE
-            ${CLIENT_LIB_SRCS}
-        )
-    endif()
-    include(wayland/wayland.cmake)
-    target_sources(${LIB_NAME} PRIVATE
-        ${wayland_SRC}
-    )
-else()
-    target_compile_definitions(${LIB_NAME} PRIVATE DTK_DISABLE_TREELAND)
-endif()
+include(plugins/plugins.cmake)
 
 target_sources(${LIB_NAME} PRIVATE
     ${dbus_SRC}

=== debian/changelog ===
dtk6gui (6.0.36) unstable; urgency=medium

  * Release 6.0.36

 -- YeShanShan <yeshanshan@uniontech.com>  Mon, 19 May 2025 17:23:31 +0800

dtk6gui (6.0.35) unstable; urgency=medium

  * sync: from linuxdeepin/dtkgui
  * sync: from linuxdeepin/dtkgui
  * sync: from linuxdeepin/dtkgui
  * sync: from linuxdeepin/dtkgui

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 18:50:18 +0800

## dtk6gui 6.0.38

=== debian/changelog ===
dtk6gui (6.0.38) unstable; urgency=medium

  * Release 6.0.38

 --  yeshanshan <yeshanshan@uniontech.com>  Fri, 27 Jun 2025 17:05:49 +0800

dtk6gui (6.0.37) unstable; urgency=medium

  * Release 6.0.37

 -- yeshanshan <yeshanshan@uniontech.com>  Thu, 19 Jun 2025 10:11:42 +0800

## dtk6gui 6.0.39

=== debian/changelog ===
dtk6gui (6.0.39) unstable; urgency=medium

  * Release 6.0.39

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 03 Jul 2025 21:11:36 +0800

## dtk6gui 6.0.41

=== debian/changelog ===
dtk6gui (6.0.41) unstable; urgency=medium

  * Release 6.0.41

 --  yeshanshan <packages@deepin.org>  Thu, 14 Aug 2025 19:47:10 +0800

dtk6gui (6.0.40) unstable; urgency=medium

  * Release 6.0.40

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 20:00:39 +0800

## dtk6gui 6.0.43

=== debian/changelog ===
dtk6gui (6.0.43) unstable; urgency=medium

  * Release 6.0.43

 --  yeshanshan <packages@deepin.org>  Thu, 25 Sep 2025 16:49:14 +0800

dtk6gui (6.0.42) unstable; urgency=medium

  * Release 6.0.42

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 04 Sep 2025 19:28:00 +0800

## dtk6gui 6.0.44.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.25)

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" DTK_FILE_VERSION)
string(STRIP "${DTK_FILE_VERSION}" DTK_FILE_VERSION)
set(DTK_VERSION "${DTK_FILE_VERSION}" CACHE STRING "define project version")
project(DtkGui
  VERSION ${DTK_VERSION}
  DESCRIPTION "DTK Gui module"
  HOMEPAGE_URL "https://github.com/linuxdeepin/dtkgui"
  LANGUAGES CXX C
)

if("${PROJECT_VERSION_MAJOR}" STREQUAL "5")
    set(QT_VERSION_MAJOR "5")
elseif("${PROJECT_VERSION_MAJOR}" STREQUAL "6")
    set(QT_VERSION_MAJOR "6")
    set(DTK_VERSION_MAJOR "6")
else()
    message(SEND_ERROR "not support Prject Version ${PROJECT_VERSION}.")
endif()

include(dtkgui.cmake)

=== examples/CMakeLists.txt ===
add_subdirectory(dnd-example)
#add_subdirectory(test-taskbar) # Don't build
#add_subdirectory(frameless-window) # Don't build
add_subdirectory(animation-dci)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,10 @@
 if("${QT_VERSION_MAJOR}" STREQUAL "6")
-    find_package(Qt6 REQUIRED COMPONENTS Core Widgets WaylandClient)
+    find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets WaylandClient)
+
+    if (${Qt6Core_VERSION} VERSION_GREATER_EQUAL "6.10.0")
+        set(QT_NO_PRIVATE_MODULE_WARNING ON)
+        find_package(Qt6 REQUIRED COMPONENTS CorePrivate GuiPrivate WaylandClientPrivate)
+    endif()
 else()
     find_package(Qt5 REQUIRED COMPONENTS WaylandClient XkbCommonSupport)
 endif()

=== tools/CMakeLists.txt ===
add_subdirectory(deepin-gui-settings)
add_subdirectory(dci-image-converter)
add_subdirectory(dci-icon-theme)
add_subdirectory(dde-kwin-debug)
add_subdirectory(image-handler)
add_subdirectory(dci-iconfinder)

=== examples/animation-dci/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
find_package(Dtk${DTK_VERSION_MAJOR}Core REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Widgets)

set(BIN_NAME animation-dci)
set(TARGET ${BIN_NAME}${DTK_VERSION_MAJOR})

add_executable(${TARGET}
  main.cpp
  test_dci_icon.qrc
)

target_link_libraries(
  ${TARGET} PRIVATE
  Qt${QT_VERSION_MAJOR}::Widgets
  dtk${DTK_VERSION_MAJOR}gui
)
set_target_properties(${TARGET_NAME} PROPERTIES OUTPUT_NAME ${BIN_NAME})

=== examples/dnd-example/CMakeLists.txt ===
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Widgets)

set(BIN1 dnd-test-client)
set(BIN2 dnd-test-server)
set(TARGET1 ${BIN1}${DTK_VERSION_MAJOR})
set(TARGET2 ${BIN2}${DTK_VERSION_MAJOR})

add_executable(${TARGET1}
    dnd-test-client.cpp
)

target_link_libraries(${TARGET1} PRIVATE
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
    ${LIB_NAME}
)

add_executable(${TARGET2}
    dnd-test-server.cpp
)

target_link_libraries(${TARGET2} PRIVATE
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
    ${LIB_NAME}
)

set_target_properties(${TARGET1} PROPERTIES OUTPUT_NAME ${BIN1})
set_target_properties(${TARGET2} PROPERTIES OUTPUT_NAME ${BIN2})

install(TARGETS ${TARGET1} DESTINATION "${TOOL_INSTALL_DIR}")
install(TARGETS ${TARGET2} DESTINATION "${TOOL_INSTALL_DIR}")

=== examples/test-taskbar/CMakeLists.txt ===
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Widgets)

set(BIN taskbar)
set(TARGET_NAME ${BIN}${DTK_VERSION_MAJOR})

add_executable(${TARGET_NAME}
    testtaskbarwindow.h 
    testtaskbarwindow.cpp
    main.cpp
)

target_link_libraries(${TARGET_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::Gui
    ${LIB_NAME}
)
set_target_properties(${TARGET_NAME} PROPERTIES OUTPUT_NAME ${BIN})

=== src/plugins/platform/config.tests/treeland_test/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

project(wayland_test)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(AUTOMOC_COMPILER_PREDEFINES ON)

find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Gui WaylandClient)
if(${QT_VERSION_MAJOR} STREQUAL "5")
    find_package(Qt5 REQUIRED COMPONENTS XkbCommonSupport)
endif()

find_package(PkgConfig REQUIRED)
pkg_check_modules(WAYLAND_CLIENT REQUIRED wayland-client)

find_package(TreelandProtocols)
set(TreelandProtocols_FOUND ${TreelandProtocols_FOUND})

add_executable(${PROJECT_NAME} main.cpp)

if("${QT_VERSION_MAJOR}" STREQUAL "6")
    qt6_generate_wayland_protocol_client_sources(${PROJECT_NAME} FILES
        ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-personalization-manager-v1.xml
    )

    if (${Qt6Core_VERSION} VERSION_GREATER_EQUAL "6.10.0")
        set(QT_NO_PRIVATE_MODULE_WARNING ON)
        find_package(Qt6 REQUIRED COMPONENTS GuiPrivate CorePrivate WaylandClientPrivate)
    endif()
else()
    # ECM setup
    include(FeatureSummary)
    find_package(ECM REQUIRED NO_MODULE)
    set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${ECM_MODULE_PATH}")
    find_package(QtWaylandScanner)
    ecm_add_qtwayland_client_protocol(TABLET_SRCS
        PROTOCOL ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-personalization-manager-v1.xml
        BASENAME treeland-personalization-manager-v1
    )
    target_sources(${PROJECT_NAME} PRIVATE ${TABLET_SRCS})

    target_link_libraries(${PROJECT_NAME} PRIVATE
        Qt${QT_VERSION_MAJOR}::XkbCommonSupportPrivate
    )
endif()

target_link_libraries(${PROJECT_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::GuiPrivate
    Qt${QT_VERSION_MAJOR}::CorePrivate
    Qt${QT_VERSION_MAJOR}::WaylandClientPrivate
    ${WAYLAND_CLIENT_LIBRARIES}
)

=== debian/changelog ===
dtk6gui (6.0.44.1) unstable; urgency=medium

  * Release 6.0.44

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 16 Oct 2025 19:46:18 +0800

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,12 @@
 #!/usr/bin/make -f
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+
+# 安全编译参数
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall
+export DEB_CXXFLAGS_MAINT_APPEND = -Wall
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

## dtk6gui 6.0.46

=== debian/changelog ===
dtk6gui (6.0.46) unstable; urgency=medium

  * Release 6.0.46

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 06 Nov 2025 17:03:59 +0800

dtk6gui (6.0.45) unstable; urgency=medium

  * Release 6.0.45

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 30 Oct 2025 21:45:30 +0800

dtk6gui (6.0.44) unstable; urgency=medium

  * Release 6.0.44

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 16 Oct 2025 19:46:18 +0800

=== debian/rules ===
--- 
+++ 
@@ -26,4 +26,4 @@
 	dh_auto_configure -- -DBUILD_TESTING=OFF -DBUILD_DOCS=ON -DDTK_VERSION=$(_PACK_VER)
 
 override_dh_makeshlibs:
-	dh_makeshlibs  -V "libdtk6gui (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2))"
+	dh_makeshlibs  -V "libdtk6gui (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2,3))"
